VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "Comdlg32.ocx"
Begin VB.Form Form1 
   Caption         =   "Framework camera program"
   ClientHeight    =   10455
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   13860
   LinkTopic       =   "Form1"
   ScaleHeight     =   697
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   924
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton Command7 
      Caption         =   "Run"
      Height          =   615
      Left            =   6960
      TabIndex        =   8
      Top             =   480
      Width           =   1095
   End
   Begin VB.PictureBox Picture2 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   0  'None
      ForeColor       =   &H80000008&
      Height          =   6975
      Left            =   960
      ScaleHeight     =   465
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   545
      TabIndex        =   7
      Top             =   2280
      Width           =   8175
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   4920
      Top             =   840
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Frame Frame1 
      Caption         =   "Camera control"
      Height          =   1455
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   3735
      Begin VB.CommandButton Command5 
         Caption         =   "Source (adjustments etc)"
         Height          =   375
         Left            =   1320
         TabIndex        =   6
         Top             =   840
         Width           =   2175
      End
      Begin VB.CommandButton Command1 
         Caption         =   "Format (size etc)"
         Height          =   375
         Left            =   1320
         TabIndex        =   5
         Top             =   360
         Width           =   2175
      End
      Begin VB.CommandButton Command4 
         Caption         =   "Disconnect"
         Height          =   375
         Left            =   120
         TabIndex        =   4
         Top             =   840
         Width           =   975
      End
      Begin VB.CommandButton Command2 
         Caption         =   "Connect"
         Height          =   375
         Left            =   120
         TabIndex        =   3
         Top             =   360
         Width           =   975
      End
   End
   Begin VB.PictureBox Picture1 
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      Height          =   7455
      Left            =   -9480
      ScaleHeight     =   493
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   669
      TabIndex        =   1
      Top             =   2520
      Width           =   10095
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Get frame"
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   1680
      Width           =   975
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Command1_Click()
    
    ' Display format dialog
    SendMessage mCapHwnd, WM_CAP_DLG_VIDEOFORMAT, 0, 0
    
End Sub

Private Sub Command2_Click()
    
    ' Connect to camera
    ' This will present the user with a box asking them to choose a camera
    ' There can be several different cameras for the one video driver
    mCapHwnd = capCreateCaptureWindow("WebcamCap", 0, 0, 0, 640, 480, Me.hwnd, 0)
    DoEvents
    SendMessage mCapHwnd, WM_CAP_DRIVER_CONNECT, 0, 0
    
End Sub

Private Sub Command3_Click()
    
    ' Capture frame to clipboard and then display in picturebox
    SendMessage mCapHwnd, WM_CAP_GRAB_FRAME, 0, 0
    SendMessage mCapHwnd, WM_CAP_EDIT_COPY, 0, 0
    Picture1.Picture = Clipboard.GetData
    
    
End Sub

Private Sub Command4_Click()
    
    ' Disconnect from camera
    SendMessage mCapHwnd, WM_CAP_DRIVER_DISCONNECT, 0, 0
    
End Sub

Private Sub Command5_Click()
    
    ' Display source dialog
    SendMessage mCapHwnd, WM_CAP_DLG_VIDEOSOURCE, 0, 0
    
End Sub


Private Sub Command7_Click()

    Picture2.Cls
    Picture2.Width = 700
    Picture2.Height = 480
    DoEvents
    
    For n = 0 To 350
        ' Capture frame to clipboard and then display in picturebox
        SendMessage mCapHwnd, WM_CAP_GRAB_FRAME, 0, 0
        SendMessage mCapHwnd, WM_CAP_EDIT_COPY, 0, 0
        Picture1.Picture = Clipboard.GetData
        
        For a = 0 To 480
            Picture2.PSet (700 - (2 * n), a), Picture1.Point(320, a)
            Picture2.PSet (700 - (2 * n) - 1, a), Picture1.Point(320, a)
        Next a
    Next n

    
End Sub

Private Sub Form_Unload(Cancel As Integer)
    
    ' Disconnect
    DoEvents: SendMessage mCapHwnd, WM_CAP_DRIVER_DISCONNECT, 0, 0
    DoEvents
    
End Sub
